// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_CONCEPTUAL_CONCEPTSYSTEM_H
#define DDICORE_40_PIM_CLASSES_CONCEPTUAL_CONCEPTSYSTEM_H

/************************************************************
 ConceptSystem class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Conceptual/Pkg_Conceptual.h"

#include "DDICore_40_PIM/Classes/Conceptual/Concept.h"
#include "DDICore_40_PIM/Classes/Conceptual/ConceptRelationStructure.h"
#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "DDICore_40_PIM/Classes/Identification/AnnotatedIdentifiable.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ConceptIndicator.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/InternationalStructuredString.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ObjectName.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Conceptual {

/************************************************************/
/**
 * Definition
 * ============
 * set of Concepts structured by the relations among them. [GSIM 1.1] 
 * 
 * Examples
 * ==========
 * 1) Concept of Sex: Male, Female, Other 2) Concept of Household Relationship: Household Head, Spouse of Household Head, Child of Household Head, Unrelated Household Member, etc.  
 * 
 * Explanatory notes
 * ===================
 * Note that this structure can be used to structure Concept, Classification, Universe, Population, Unit Type and any other class that extends from Concept.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * c:ConceptSchemeType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * Concept System
 */
class ConceptSystem: public ::DDICore_40_PIM::Classes::Identification::AnnotatedIdentifiable {
public:

	/**
	 * MemberIndicator Allows for the identification of the member and optionally provides an index for the member within an ordered array
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ConceptIndicator contains[];

	/**
	 * If members are ordered set to true, if unordered set to false.
	 */
	::PrimitiveTypes::Boolean isOrdered;

	/**
	 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ObjectName name[];

	/**
	 * 
	 */
	ConceptRelationStructure [];

	/**
	 * 
	 */
	Concept [];

	/**
	 * Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::InternationalStructuredString purpose;

	/**
	 * Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.
	 */
	::DDICore_40_PIM::Classes::Enumerations::CollectionType type;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Conceptual
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of ConceptSystem class header
 ************************************************************/

#endif
