// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_DATASTRUCTURES_COMPONENTS_MEASURECOMPONENT_H
#define DDICORE_40_PIM_CLASSES_DATASTRUCTURES_COMPONENTS_MEASURECOMPONENT_H

/************************************************************
 MeasureComponent class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/DataStructures/Components/Pkg_Components.h"

#include "DDICore_40_PIM/Classes/DataStructures/Components/DataStructureComponent.h"
#include "DDICore_40_PIM/Classes/DataStructures/Dimensional/CubeDataStructure.h"
#include "DDICore_40_PIM/Classes/DataStructures/Long/LongDataStructure.h"
#include "DDICore_40_PIM/Classes/DataStructures/Wide/WideDataStructure.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ObjectName.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace DataStructures {
namespace Components {

/************************************************************/
/**
 * Definition
 * ============
 * role given to a Represented Variable in the context of a Data Structure to hold the observed/derived values
 * 
 * Examples
 * ==========
 * 
 * 
 * 
 * Explanatory notes
 * ===================
 * A Measure Component is a sub-type of Data Structure Component. For example age and height of a person in a Unit Data Set or number of citizens and number of households in a country in a Data Set for multiple countries (Dimensional Data Set).
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * 
 */
class MeasureComponent: public DataStructureComponent {
public:

	/**
	 * 
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ObjectName name[];

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::Wide::WideDataStructure;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::Dimensional::CubeDataStructure;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::Long::LongDataStructure;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Components
} // of namespace DataStructures
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of MeasureComponent class header
 ************************************************************/

#endif
