// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_AGENTASSOCIATION_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_AGENTASSOCIATION_H

/************************************************************
 AgentAssociation class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/Classes/Agents/Agent.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/BibliographicName.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/PairedExternalControlledVocabularyEntry.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * A basic structure for declaring the name of an Agent inline, reference to an Agent, and role specification. This object is used primarily within Annotation.
 * 
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:ContributorType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class AgentAssociation {
public:

	/**
	 * Full name of the contributor. Language equivalents should be expressed within the International String structure.
	 */
	BibliographicName agentName;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Agents::Agent;

	/**
	 * The role of the of the Agent within the context of the parent property name with information on the extent to which the role applies. Allows for use of external controlled vocabularies. Reference should be made to the vocabulary within the structure of the role. Recommended role for contributors can be found in the CASRAI Contributor Roles Vocabulary (CRediT) http://dictionary.casrai.org/Contributor_Roles, or the OPENRIF contribution ontology https://github.com/openrif/contribution-ontology
	 */
	PairedExternalControlledVocabularyEntry role[];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of AgentAssociation class header
 ************************************************************/

#endif
