// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_CHARACTEROFFSET_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_CHARACTEROFFSET_H

/************************************************************
 CharacterOffset class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Specification of the character offset for the beginning and end of the segment, or beginning and length.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:CharacterParameterType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class CharacterOffset {
public:

	/**
	 * can be used to describe a text segment as start and length
	 */
	::PrimitiveTypes::Integer characterLength;

	/**
	 * Number of characters from the beginning of the document, indicating the inclusive end of the text segment.
	 */
	::PrimitiveTypes::Integer endCharOffset;

	/**
	 * Number of characters from beginning of the document, indicating the inclusive start of the text range.
	 */
	::PrimitiveTypes::Integer startCharOffset;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of CharacterOffset class header
 ************************************************************/

#endif
