// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_INTERNATIONALIDENTIFIER_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_INTERNATIONALIDENTIFIER_H

/************************************************************
 InternationalIdentifier class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * An identifier whose scope of uniqueness is broader than the local archive. Common forms of an international identifier are ISBN, ISSN, DOI or similar designator. Provides both the value of the identifier and the agency who manages it.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * For use in Annotation or other citation format. 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:InternationalIdentifierType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class InternationalIdentifier {
public:

	/**
	 * An identifier as it should be listed for identification purposes.
	 */
	::PrimitiveTypes::String identifierContent;

	/**
	 * Set to "true" if Identifier is a URI
	 */
	::PrimitiveTypes::Boolean isURI;

	/**
	 * The identification of the Agency which assigns and manages the identifier, i.e., ISBN, ISSN, DOI, etc.
	 */
	ExternalControlledVocabularyEntry managingAgency;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of InternationalIdentifier class header
 ************************************************************/

#endif
