// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_TYPEDSTRING_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_TYPEDSTRING_H

/************************************************************
 TypedString class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * TypedString combines a typeOfContent with a content defined as a simple string. May be used wherever a simple string needs to support a type definition to clarify its content
 * 
 * Examples
 * ==========
 * content is a regular expression and typeOfContent is used to define the syntax used.
 * 
 * Explanatory notes
 * ===================
 * This is a generic type + string where property name and documentation should be used to define any specification for the content. If international structured string content is required use TypedStructuredString 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class TypedString {
public:

	/**
	 * Content of the property expressed as a simple string.
	 */
	::PrimitiveTypes::String content;

	/**
	 * Optional use of a controlled vocabulary to specifically type the associated content.
	 */
	ExternalControlledVocabularyEntry typeOfContent;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of TypedString class header
 ************************************************************/

#endif
