// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_VIDEOSEGMENT_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_VIDEOSEGMENT_H

/************************************************************
 VideoSegment class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Describes the type and length of the video segment.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:VideoType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class VideoSegment {
public:

	/**
	 * The type of video clip provided. Supports the use of a controlled vocabulary.
	 */
	ExternalControlledVocabularyEntry typeOfVideoClip;

	/**
	 * The point to begin the video clip. If no point is provided the assumption is that the start point is the beginning of the clip provided.
	 */
	::PrimitiveTypes::String videoClipBegin;

	/**
	 * The point to end the video clip. If no point is provided the assumption is that the end point is the end of the clip provided.
	 */
	::PrimitiveTypes::String videoClipEnd;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of VideoSegment class header
 ************************************************************/

#endif
