// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Agents;

/************************************************************/
/**
 * Definition
  * ============
  * Defines the relationships between Agents in a collection. Clarifies valid period and the purpose the relationship serve
  * 
  * Examples
  * ==========
  * An individual employed by an Organization. A unit or project (organization) within another Organization.
  * 
  * Explanatory notes
  * ===================
  * Describes relations between agents not roles within a project or in relationship to a product. Roles are defined by the parent class and relationship name that uses an Agent as a target.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class AgentStructure extends Identifiable {
	/**
	 * The effective start and end date of the relationship
	 */
	public DateRange effectiveDates;
	/**
	 * Agent relations that comprise the relation structure
	 */
	public AgentRelation[] hasMemberRelation;
	/**
	 * Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list. Use if all relations within this relation structure are of the same specification.
	 */
	public RelationSpecification hasRelationSpecification;
	/**
	 * Define the level of privacy regarding this relationship. Supports the use of a controlled vocabulary.
	 */
	public ExternalControlledVocabularyEntry privacy;
	/**
	 * Explanation of the intent of creating the relation. Supports the use of multiple languages and structured text.
	 */
	public InternationalStructuredString purpose;
	/**
	 * Provides semantic context for the relation structure
	 */
	public ExternalControlledVocabularyEntry semantic;
	/**
	 * Type of relation in terms of totality with respect to an associated collection.
	 */
	public TotalityType totality;
};
