// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Conceptual;

/************************************************************/
/**
 * Definition
  * ============
  * set of Concepts, where each concept is used as the Signified for a Datum
  * 
  * Examples
  * ==========
  * Substantive: Housing Unit Tenure - Owned, Rented, Vacant; Sentinel: Non-response - Refused, Don't Know, Not Applicable 
  * 
  * Explanatory notes
  * ===================
  * Intent of a Conceptual Domain is defining a set of concepts used to measure a broader concept. For effective use they should be discrete (non-overlapping) and provide exhaustive coverage of the broader concept.
  * The constituent concepts can be either sentinel or substantive, 
  * The set can be described by either enumeration or by an expression.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public abstract class ConceptualDomain extends AnnotatedIdentifiable
 {
				/**
				 * A structured display label providing a fully human readable display for the identification of the object. Supports the use of multiple languages and structured text.
				 */
				public LabelForDisplay[] displayLabel;
				/**
				 * 
				 */
				public ConceptSystem ;
				/**
				 * 
				 */
				public ValueAndConceptDescription ;
};
