// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.FormatDescription;

import DDICore_40_PIM.Classes.Conceptual.Concept;
import DDICore_40_PIM.Classes.Identification.AnnotatedIdentifiable;
import DDICore_40_PIM.Classes.LogicalDataDescription.DataStore;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalStructuredString;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ObjectName;

/************************************************************/
/**
 * Definition
  * ============
  * The information needed for understanding the physical structure of data coming from a file or other source. A StructureDescription also points to the Data Store it physically represents.
  * 
  * Examples
  * ==========
  * The PhysicalDataProduct is the entry point for information about a file or other source. It includes information about the name of a file, the structure of segments in a file and the layout of segments.
  * 
  * Explanatory notes
  * ===================
  * Multiple styles of structural description are supported: including describing files as unit-record (UnitSegmentLayout) files; describing cubes; and describing event-history (spell) data.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * p:PhysicalDataProductType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class PhysicalDataSet extends AnnotatedIdentifiable
 {
				/**
				 * When duplicates is true it means the same Member can appear more than once in the Collection. In this case, the Collection is a Bag. 
				  * 
				  * When duplicates is false, then every Member is unique in the Collection. In this case, the Collection is a Set.
				  * 
				 */
				public boolean duplicates;
				/**
				 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided <font color="#dc143c">then a context to differentiate usage must be provided as well</font>.
				 */
				public ObjectName name;
				/**
				 * The number of segments in a Physical Data Product
				 */
				public int numberOfSegments;
				/**
				 * Short natural language account of the information obtained from the combination of properties and relationships associated with an object. Supports the use of multiple languages and structured text.
				 */
				public InternationalStructuredString overview;
				/**
				 * 
				 */
				public Concept[] ;
				/**
				 * 
				 */
				public DataStore[] ;
				/**
				 * Use when multiple physical segments are stored in a single file
				 */
				public String physicalFileName;
				/**
				 * An explanation of the purpose of the physical dataset
				 */
				public InternationalStructuredString purpose;
};
