// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.FormatDescription;

import DDICore_40_PIM.Classes.Conceptual.Concept;
import DDICore_40_PIM.Classes.Conceptual.Population;
import DDICore_40_PIM.Classes.FormatDescription.DataPointPosition;
import DDICore_40_PIM.Classes.FormatDescription.PhysicalDataSet;
import DDICore_40_PIM.Classes.FormatDescription.PhysicalSegmentLayout;
import DDICore_40_PIM.Classes.Identification.AnnotatedIdentifiable;
import DDICore_40_PIM.Classes.LogicalDataDescription.DataPoint;
import DDICore_40_PIM.Classes.LogicalDataDescription.LogicalRecord;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalStructuredString;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ObjectName;

/************************************************************/
/**
 * Definition
  * ============
  * A description of each physical storage segment required to completely cover the logical record. A logical record may be stored in one or more segments housed hierarchically in a single file or in separate data files. All logical records have at least one segment.
  * 
  * Examples
  * ==========
  * The file below has four InstanceVariables: PersonId, SegmentId, AgeYr, HeightCm. The data for each person (identified by PersonId) is recorded in two segments (identified by SegmentId), "a" and "b". AgeYr is on physical segment a, and HeightCm is on segment b. These are the same data as described in the UnitSegmentLayout documentation.
  * 1 a  22
  * 1 b 183
  * 2 a 45
  * 2 b 175
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * p:PhysicalRecordSegmentType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class PhysicalRecordSegment extends AnnotatedIdentifiable
 {
				/**
				 * When duplicates is true it means the same Member can appear more than once in the Collection. In this case, the Collection is a Bag. 
				  * 
				  * When duplicates is false, then every Member is unique in the Collection. In this case, the Collection is a Set.
				 */
				public boolean duplicates;
				/**
				 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided <font color="#dc143c">then a context to differentiate usage must be provided as well</font>.
				  * 
				 */
				public ObjectName[] name;
				/**
				 * 
				 */
				public PhysicalDataSet[] ;
				/**
				 * 
				 */
				public PhysicalSegmentLayout ;
				/**
				 * 
				 */
				public DataPointPosition[] ;
				/**
				 * 
				 */
				public Concept[] ;
				/**
				 * 
				 */
				public DataPoint[] ;
				/**
				 * 
				 */
				public LogicalRecord ;
				/**
				 * 
				 */
				public Population ;
				/**
				 * Use when each physical segment is stored in its own file.
				 */
				public String physicalFileName;
				/**
				 * Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.
				 */
				public InternationalStructuredString purpose;
};
